[fxruby-users] Problems with examples

Michael Wimmer m.wimmer at ecom.at
Tue Jul 27 04:17:29 EDT 2004


I am completly new to Ruby as well as to Fox. For starting I downloaded 
the examples from the 'Screenshot' page and that ist where I am stucked.

I managed to run them in my office but failed to do so at my home 
computer. After some investigation, I found a reason for that.

Depending on your entry point to the fx ruby home page you are directed 
to different exampes pages with different exampes. (I came once from the 
fox-toolkit page and once from the fxruby page.)


The difference is in the first view lines of code:

#!/usr/bin/env ruby

require 'rubygems'
require_gem 'fxruby'

include Fox

class TabBookWindow < FXMainWindow


#!/usr/bin/env ruby

require 'fox'

include Fox

class TabBookWindow < FXMainWindow

Which is the proper way to do it and if it is the ruby_gem example what 
did I miss because it throws me an error (win, latest version of Ruby 
installer from rubyforge). The userguide suggests me the second example 
(from the sourceforge linke) but from what I have read the currenet 
pages have been moved from sourceforge to rubyforge.

Best Regards,


mit freundlichen Grüssen

Michael Wimmer
m.wimmer at ecom.at

ecom-it gmbh
Durisolstraße 7
4600 Wels

T +43 (0)7242 71000 24 

More information about the fxruby-users mailing list